> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pingmee.co.il/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Campaign

> Deletes a campaign.

<Note>
  Call this endpoint on the campaigns service: `https://campaigns.pingmee.co.il`.
</Note>

Deletes a campaign.


## OpenAPI

````yaml DELETE /campaigns/{id}
openapi: 3.1.0
info:
  title: Pingmee API
  description: A complete guide to Pingmee micro service architecture.
  version: 1.0.0
servers:
  - url: https://api.pingmee.co.il
security:
  - cookieAuth: []
    ApiKeyAuth: []
paths:
  /campaigns/{id}:
    servers:
      - url: https://campaigns.pingmee.co.il
        description: Campaigns service
    delete:
      summary: Delete campaign
      description: Deletes a campaign.
      parameters:
        - name: id
          in: path
          description: Campaign id.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Campaign deleted
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
                    example: Campaign '1710000000000' deleted.
                additionalProperties: false
        '404':
          description: Campaign id is missing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: The campaign could not be deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: header
      name: Cookie
      description: Personal access token from Pingmee Settings → Developer Tools
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Business API key from Pingmee Settings → Developer Tools

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.